# $Id: iscan_config.pm,v 1.5 2007/03/30 04:18:50 cl Exp $

# IScan configuration

# Global configuration options
$IScan::Configuration = {
	# Path containing the BLAST executables; the actual BLAST executable to use
	#	will automatically determined.
	blast_path => '[Path containing BLAST executables]',
	filter_path => '[Path containing BLAST filters]',
	matrix_path => '[Path containing BLAST matrices]',

	# The genetic code that should be used to translate the database.
	blast_db_genetic_code => 11,

	# 'dpalign' or 'multiprofile'
	alignment_type => 'dpalign',
	
	align_path => '[Path containing alignment executables]',
	align_name => '[Name of alignment executable]',

	cache_path => '[Path containing cache files]'
};

# Options used for searches
$IScan::Search::Configuration = {
	# The maximum expect (E-value) an HSP may have to avoid being filtered out
	blast_maximum_expect => 1,
	# Fraction of identical residues in the HSP (alignment)
	#	0 < R <= 1
	blast_minimum_hsp_fraction_identical => 0.50,	
	# Fraction of identical residues between the HSP and query
	#	0 < R <= 1	
	blast_minimum_query_alignment_fraction_identical => 0.35,
	maximum_orf_distance =>  50,	# In nucleotides: N > 0
	# If two HSPs overlap by greater than this fraction they are considered to
	#	be duplicate HSPs
	#	0 < R <= 1
	duplicate_hsp_overlap => 0.80,
	# Group HSPs on both strands when building an IS
	#	N = 0 (FALSE) or N = 1 (TRUE)
	group_hsps_accross_strands => 1,
	
	# ir_expand_out + ir_expand_in >= 3
	ir_expand_out =>  300,	# In nucleotides: N > 0
	ir_expand_in  =>  0,	# In nucleotides: N > 0
	
	# Number of random alignments used to produce IR P-values:
	#	N = 'undef' (for no statistical iterations) or N > 0
	ir_statistics_iterations => undef,

	# dr_expand_out + dr_expand_in >= 3
	dr_expand_out =>  15,	# In nucleotides: N > 0
	dr_expand_in =>  0,		# In nucleotides: N > 0
	
	# Valid alignment parameters vary with the alignment module (as specified by
	#	'alignment_type', above); however, the sign of the paramers does not
	#	matter as the alignment module will adjust the sign of the aligment
	#	parameter to an appropriate value for the alignment module.
	alignment_match_value => 1,			# Alignment match value: R > 0
	alignment_mismatch_value => -2,		# Alignment mismatch value
	alignment_gap_extension_value => -5	# Alignment gap extension value
};

1;

__END__
