# $Id: Template_Alignment.pm,v 1.1 2007/03/13 04:26:34 cl Exp $

##
# A 'Template_Alignment' is the alignment of one sequence against a template 
#	sequence; therefore, the aligned sequence of interest is always the first
#	('1') sequence in the alignment.
#


use strict;
use warnings;

use Bio::IScan::Simple_Alignment;


package Bio::IScan::Template_Alignment;
	our @ISA = 'Bio::IScan::Simple_Alignment';


sub new { # constructor
	my $class = shift;
	my $this = $class->SUPER::new(@_);
	
	return bless $this, $class;		
}


sub left_sequence { # instance
	my $this = shift;
	
	if (@_) {
		$this->throw(-class => 'Bio::Root::BadParameter',
					 -text => "Instances of Alignment are immutable.",
					 -value => @_);
	}
	
	return $this->get_seq_by_pos(1);
}


sub right_sequence { # instance
	my $this = shift;
	
	if (@_) {
		$this->throw(-class => 'Bio::Root::BadParameter',
					 -text => "Instances of Alignment are immutable.",
					 -value => @_);
	}
	
	return $this->get_seq_by_pos(1);
}


1;
